> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trello Config

> Get workspace Trello information



## OpenAPI

````yaml get /workspace/trello/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/trello/{workspaceId}:
    get:
      tags:
        - Workspace
      description: Get workspace Trello information
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                  trello:
                    type: object
                    properties:
                      id:
                        type: string
                      username:
                        type: string
                    required:
                      - id
                      - username
                  board:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      background:
                        type: object
                        properties:
                          color:
                            type: string
                          brightness:
                            type: string
                          image:
                            type: string
                    required:
                      - id
                      - name
                      - background
                  oauth_token:
                    type: string
                required:
                  - type
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````